> ## Documentation Index
> Fetch the complete documentation index at: https://docs.platnova.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Checkout

> Retrieve checkout details by checkout ID.

## Overview

Retrieve an existing checkout session by ID, including current status, payment URL, and checkout metadata.


## OpenAPI

````yaml GET /v1/checkout/{id}
openapi: 3.1.0
info:
  title: API
  version: 1.0.0
  description: >-
    Platnova's Business API allows businesses to issue virtual accounts and
    cards to their employees, vendors, or retail customers. It allows businesses
    to streamline the process of issuing cards, manage spending, and track
    transactions. The API documentation provides information on how to integrate
    our virtual card issuing system into a business's existing systems and
    outlines the features and functionalities of the API, including card and
    account creation, management, and reporting. It also provides technical
    specifications, such as API requests, responses, and authentication
    processes.


    The API documentation is intended for developers and IT teams to use in
    order to effectively implement Platnova solutions into their business
    processes.


    # Authentication/Authorization


    To access any of the resources on the `{BaseUrl}/v1/`, the client has to
    pass pre-defined headers for authentication and authorization.


    The API is secure and only authorized clients can consume the service. There
    are API keys assigned to every business and JWT tokens assigned to every
    account for authentication/authorization.


    ## Bearer Token


    Requests may accept jwt tokens as below.


    ``` json

    Authorization: Bearer <jwt token>

     ```

    ## API Key


    Requests may acccept an api key either in the request headers or as a query
    parameter. Some requests cannot be authorized using an API key.


    ``` json

    X-API-KEY: <api key>

     ```

    OR


    ``` json

    ?api-key=<api key>

     ```

    # Base URL


    [https://sandbox.api.platnova.co](https://sandbox.api.platnova.co)


    # Errors


    Unauthorized API key


    ``` json

    {
        "status": false,
        "data": {},
        "error": [],
        "message": "unauthorized access"
    }

     ```

    Permission Denied


    ``` json

    {
        "status": false,
        "data": {},
        "error": [],
        "message": "unauthorized access: permission denied"
    }

     ```
servers:
  - url: https://api.platnova.com
    description: Production server
  - url: https://sandbox.api.platnova.co
    description: Development server
security:
  - apiKeyAuth: []
tags:
  - name: Customer
    description: Create and manage customers
  - name: Virtual Account
    description: Create and manage virtual accounts
  - name: Card
    description: Create and manage cards
  - name: Wallet
    description: List and manage wallets
  - name: Payment
    description: Send and verify payments
  - name: Transaction
    description: List transactions and generate receipts
  - name: Checkout
    description: Create and retrieve checkout sessions
  - name: Payment Link
    description: Create and manage payment links
  - name: Invoice
    description: Create and manage invoices
paths:
  /v1/checkout/{id}:
    get:
      tags:
        - Checkout
      summary: Get checkout
      description: Retrieve checkout details by checkout ID.
      operationId: getCheckout
      parameters:
        - name: id
          in: path
          required: true
          description: Checkout ID
          schema:
            type: string
          example: 3e584f08-6a55-4b15-a97f-364a7d21071e
      responses:
        '200':
          description: Checkout retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                    properties:
                      amount:
                        type: number
                      currency:
                        type: string
                      id:
                        type: string
                      email:
                        type: string
                        format: email
                      url:
                        type: string
                        format: uri
                      status:
                        type: string
                      success_url:
                        type: string
                        format: uri
                      cancel_url:
                        type: string
                        format: uri
                      source:
                        type: string
                      entity:
                        type: object
                        properties:
                          category:
                            type: string
                          country_code:
                            type: string
                          created_at:
                            type: string
                            format: date-time
                          description:
                            type: string
                          dial_code:
                            type: string
                          id:
                            type: string
                          legal_name:
                            type: string
                          name:
                            type: string
                          phone:
                            type: string
                          status:
                            type: string
                          username:
                            type: string
                      payment_options:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                      created_at:
                        type: string
                        format: date-time
                  error:
                    type: array
                    items: {}
                  message:
                    type: string
              example:
                status: true
                data:
                  amount: 2000.15
                  currency: ngn
                  id: 3e584f08-6a55-4b15-a97f-364a7d21071e
                  email: jonathanemma121@gmail.com
                  url: >-
                    https://pay.platnova.com/3e584f08-6a55-4b15-a97f-364a7d21071e
                  status: pending
                  success_url: https://platnova.com/process?status=successful
                  cancel_url: https://platnova.com/process?status=cancelled
                  source: platform
                  entity:
                    category: Technology
                    country_code: NG
                    created_at: '2025-09-14T20:00:41.114031Z'
                    description: A leading technology solutions provider g
                    dial_code: '+234'
                    id: 67fa2a59-5d73-4f9c-be49-2a3a8c391cde
                    legal_name: Techies 2 Ltd
                    name: Techies 2 Ltd
                    phone: '8012345678'
                    status: ACTIVE
                    username: techies2ltd
                  payment_options:
                    - id: defi
                  created_at: '2026-05-05T15:57:19Z'
                error: []
                message: operation was successful
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        status:
          type: boolean
        data:
          type: object
        error:
          type: array
          items: {}
        message:
          type: string
          description: Error message
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key for authentication.

````